#include <stdarg.h>
#include <printf.h>

void kmsg_ok(char* format, ...) {
    va_list args;
    va_start(args, format);
    char str[32767];
    kvsnprintf(str, 32767, format, args);
    kprintf("[  \x1b[0;32mOK\x1b[0m  ] %s\x1b[0m\n", str);
}

void kmsg_warn(char* format, ...) {
    va_list args;
    va_start(args, format);
    char str[32767];
    kvsnprintf(str, 32767, format, args);
    kprintf("[ \x1b[0;33mWARN\x1b[0m ] %s\x1b[0m\n", str);
}

void kmsg_fail(char* format, ...) {
    va_list args;
    va_start(args, format);
    char str[32767];
    kvsnprintf(str, 32767, format, args);
    kprintf("[ \x1b[0;31mFAIL\x1b[0m ] %s\x1b[0m\n", str);
}